import { pgTable, integer, varchar, text, decimal } from "drizzle-orm/pg-core";
import { sql } from "drizzle-orm";
import { timestamps } from "./helpers/columns.helpers";

export const Product = pgTable("products", {
	id: integer().primaryKey().generatedAlwaysAsIdentity({ name: "products_id_seq", startWith: 1, increment: 1, minValue: 1, maxValue: 2147483647, cache: 1 }),
	name: varchar({length: 255 }).notNull(),
	description: text().notNull(),
	price: decimal().notNull(),
	reseller_id: integer().notNull(),
	category_id: integer().notNull(),
	stock_qty: integer().default(0),
	...timestamps
})